SSLSessionBindingEvent (Java Platform SE 8 )
Keywords: javax.net.ssl.SSLSessionBindingEvent class
Date: 2016-12-09

compact1, compact2, compact3
javax.net.ssl

## Class SSLSessionBindingEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.net.ssl.SSLSessionBindingEvent

- All Implemented Interfaces:
    Serializable

      public class SSLSessionBindingEvent
      extends EventObject

  This event is propagated to a SSLSessionBindingListener. When a listener object is bound or unbound to an SSLSession by `SSLSession.putValue(String, Object)` or `SSLSession.removeValue(String)`, objects which implement the SSLSessionBindingListener will be receive an event of this type. The event's `name` field is the key in which the listener is being bound or unbound.
  Since:
    1.4
  See Also:
    `SSLSession`, `SSLSessionBindingListener`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLSessionBindingEvent(SSLSession session, String name)` Constructs a new SSLSessionBindingEvent.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the name to which the object is being bound, or the name from which the object is being unbound.
    `SSLSession` | `getSession()` Returns the SSLSession into which the listener is being bound or from which the listener is being unbound.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLSessionBindingEvent

          public SSLSessionBindingEvent(SSLSession session,
                                        String name)

      Constructs a new SSLSessionBindingEvent.
      Parameters:
        `session` - the SSLSession acting as the source of the event
        `name` - the name to which the object is being bound or unbound
      Throws:
        `IllegalArgumentException` - if `session` is null.

  - ### Method Detail

    - #### getName

          public String getName()

      Returns the name to which the object is being bound, or the name from which the object is being unbound.
      Returns:
        the name to which the object is being bound or unbound

    - #### getSession

          public SSLSession getSession()

      Returns the SSLSession into which the listener is being bound or from which the listener is being unbound.
      Returns:
        the `SSLSession`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.